#include <stdio.h>

struct{
	char name[32];
	unsigned year : 12;
	unsigned month : 4;
	unsigned day : 5;
}typedef DATE;

void print_date(DATE);

int
main()
{
	DATE bday = {
		"Birthday", 2005, 4, 28 
	};
	print_date(bday);
	printf("%zu\n", sizeof(bday));
	return 0;
}

void print_date(DATE a)
{
	printf("Event:%s\n\t%d-%d-%d\n",a.name, a.day, a.month, a.year);
}
